netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
aarp.h File Reference

Go to the source code of this file.

## Data Structures
union | aapa
struct | aapa::ap_node
struct | ether_aarp
struct | aarptab

## Macros
#define | aarp_hrd eaa_hdr.ar_hrd
#define | aarp_pro eaa_hdr.ar_pro
#define | aarp_hln eaa_hdr.ar_hln
#define | aarp_pln eaa_hdr.ar_pln
#define | aarp_op eaa_hdr.ar_op
#define | aarp_spa aarp_spu.ap_node.an_node
#define | aarp_tpa aarp_tpu.ap_node.an_node
#define | aarp_spnet aarp_spu.ap_node.an_net
#define | aarp_tpnet aarp_tpu.ap_node.an_net
#define | aarp_spnode aarp_spu.ap_node.an_node
#define | aarp_tpnode aarp_tpu.ap_node.an_node
#define | AARPHRD_ETHER 0x0001
#define | AARPOP_REQUEST 0x01
#define | AARPOP_RESPONSE 0x02
#define | AARPOP_PROBE 0x03

## Macro Definition Documentation

## ◆ aarp_hln

#define aarp_hln eaa_hdr.ar_hln

## ◆ aarp_hrd

#define aarp_hrd eaa_hdr.ar_hrd

## ◆ aarp_op

#define aarp_op eaa_hdr.ar_op

## ◆ aarp_pln

#define aarp_pln eaa_hdr.ar_pln

## ◆ aarp_pro

#define aarp_pro eaa_hdr.ar_pro

## ◆ aarp_spa

#define aarp_spa aarp_spu.ap_node.an_node

## ◆ aarp_spnet

#define aarp_spnet aarp_spu.ap_node.an_net

## ◆ aarp_spnode

#define aarp_spnode aarp_spu.ap_node.an_node

## ◆ aarp_tpa

#define aarp_tpa aarp_tpu.ap_node.an_node

## ◆ aarp_tpnet

#define aarp_tpnet aarp_tpu.ap_node.an_net

## ◆ aarp_tpnode

#define aarp_tpnode aarp_tpu.ap_node.an_node

## ◆ AARPHRD_ETHER

#define AARPHRD_ETHER 0x0001

## ◆ AARPOP_PROBE

#define AARPOP_PROBE 0x03

## ◆ AARPOP_REQUEST

#define AARPOP_REQUEST 0x01

## ◆ AARPOP_RESPONSE

#define AARPOP_RESPONSE 0x02